package br.com.rjconsultores.auditador.auditadores;

import java.lang.reflect.AccessibleObject;

import br.com.rjconsultores.auditador.annotations.AuditarAtributo;
import br.com.rjconsultores.auditador.annotations.AuditarClasse;
import br.com.rjconsultores.auditador.annotations.AuditarEntidade;
import br.com.rjconsultores.auditador.annotations.AuditarID;
import br.com.rjconsultores.auditador.annotations.AuditarIDComposta;
import br.com.rjconsultores.auditador.annotations.AuditarLista;
import br.com.rjconsultores.auditador.annotations.AuditarMetodo;
import br.com.rjconsultores.auditador.annotations.NaoAuditar;

class ExtrairAnotacao {
	
	protected AuditarClasse extrair(Class<?> classe) {
		if(classe == null) {
			return null;
		}
		return classe.getAnnotation(AuditarClasse.class);		
	}
	
	protected AuditarAtributo extrairAuditarAtributo(AccessibleObject campo) {
		if(campo == null) {
			return null;
		}
		campo.setAccessible(true);
		return campo.getAnnotation(AuditarAtributo.class);
	}
	
	protected AuditarEntidade extrairAuditarEntidade(AccessibleObject campo) {
		if(campo == null) {
			return null;
		}
		campo.setAccessible(true);
		return campo.getAnnotation(AuditarEntidade.class);
	}
	
	protected AuditarID extrairAuditarID(AccessibleObject campo) {
		if(campo == null) {
			return null;
		}
		campo.setAccessible(true);
		return campo.getAnnotation(AuditarID.class);
	}
	
	protected AuditarIDComposta extrairAuditarIDComposta(AccessibleObject campo) {
		if(campo == null) {
			return null;
		}
		campo.setAccessible(true);
		return campo.getAnnotation(AuditarIDComposta.class);
	}
	
	protected AuditarLista extrairAuditarLista(AccessibleObject campo) {
		if(campo == null) {
			return null;
		}
		campo.setAccessible(true);
		return campo.getAnnotation(AuditarLista.class);
	}
	
	protected NaoAuditar extrairNaoAuditar(AccessibleObject campo) {
		if(campo == null) {
			return null;
		}
		campo.setAccessible(true);
		return campo.getAnnotation(NaoAuditar.class);
	}
	
	protected AuditarMetodo extrairAuditarMetodo(AccessibleObject campo) {
		if(campo == null) {
			return null;
		}
		campo.setAccessible(true);
		return campo.getAnnotation(AuditarMetodo.class);
	}

}
