package br.com.rjconsultores.auditador.interfaces;

/**
 * Interface que deverá  ser implementada quando o objeto for auditado, interface estende a interface Cloneable.
 * 
 * @author wilian
 *
 * @param <T>
 */
public interface Auditavel<T> extends Cloneable {
	
	/**
	 * Método deverá  ser implementado com o recurso de clonagem da Interface Cloneable. Executa o processo de clonagem do objeto para ser comparado com o alterado, executar esse metodo logo apos recuperar o objeto do banco de dados.
	 *  
	 * @throws CloneNotSupportedException
	 */
	public void clonar() throws CloneNotSupportedException;
	
	/**
	 * Apos executar o metodo "clonar" retorna o objeto clonado.
	 * 
	 * @return
	 * @throws CloneNotSupportedException
	 */
	public T getCloneObject() throws CloneNotSupportedException;
	
	/**
	 * Metodo que descreve informações do objeto quando o registro e criado/incluido/excluido.
	 * @return
	 */
	public String getTextoInclusaoExclusao();
	
}
