package com.rjconsultores.ventaboletos.enuns;

public enum OcorrenciaBradesco {

	EntConf("02","Entrada confirmada"),
	EntReje("03","Entrada Rejeitada"),
	Liquida("06","Liquidação"),
	BaixAut("09","Baixado Automaticamente via Arquivo"),
	BaixBan("10","Baixado pelo Banco"),
	LiquC_B("15","Liquidação em cartório/Liquidação após baixa ou Título não registrado"),
	CEPIrre("24","Entrada Rejeitada por CEP irregular"),
	BaixRej("27","Baixa Rejeitada"),
	DebTari("28","Débito de Tarifas/Custas"),
	OcorPag("29","Ocorrência do Pagador"),
	AltDado("30","Alteração de Outros Dados Rejeitados"),
	InstRej("32","Instrução Rejeitada"),
	DesDedA("35","Desagendamento do Débito Automático");
	
	private OcorrenciaBradesco(String id, String label){
		this.id = id;
		this.label = label;
	}
	
	private String id;
	private String label;
	
	public String getId() {
		return id;
	}
	
	public String getLabel() {
		return label;
	}
	
	public static OcorrenciaBradesco getInstance(String id){
		
		for(OcorrenciaBradesco o : OcorrenciaBradesco.values()){
			
			if(o.getId().equals(id)){
				return o;
				
			}
		}
		
		return null;
		
	}
}
